/*
    CFP-Styles.CSS
*/

:root {
    --drop-menu-background: black; /* #3B384C; light black */

    --drop-menu-text-color: #9fa2a9; /*light grey */
    --enter-event-background: white;
    --main-background-color: white; /*#f5f5f5; /* white; /* #C89C52; */
    --RTI-Box-background-color: white;
    --single-item-width: 17rem;
    --single-item-height: 12rem;
}


html {
    box-sizing: border-box;
    /* Nicer looking fonts for OS X and iOS */
    -webkit-font-smoothing: antialiased;
   
    scroll-behavior: smooth;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

a {
    text-decoration: none;
    color:var(--drop-menu-text-color);

}

body {
    width: 100%;
    margin: auto;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p {
    
    /*margin: 0; */
    
    font-size: 1rem;
    line-height: 1.5rem;
    
    /*font-weight: 400;*/
    font-weight: normal;
    color: black;
    background-color: var(--enter-event-background);
    background-color: var(--main-background-color);
    font-family: sans-serif; 
    /*font-family: overpass, sans-serif;*/
    font-style: normal;
    margin-bottom: 0.5rem; /*0.5rem*/
    margin-top:0rem;
    text-align: center;
}

#Sub1 {
    font-size: 1.2rem;
    font-weight: bold;
}

/*SVG defaults to display: inline; 
    Inline-block or inline-flex will render white space on SVG elements in HTML
    if the container isn't a flex box or the font-size set to 0 to crush the whitespace 

*/
svg {
    display: block;
}

img {
    /*Make images behave responsively. Here they will scale up to 100% of their natural size*/
    max-width: 100%;
    z-index: 1;

    /*Make images display as a block (UA default is usually inline)*/
    display: block;
}

.RTI-Image {
    width:  100%; /*100%;  /*javascript will change the width var(--single-item-width);   /* 12em; */
    /*height: 300px; /*var(--single-item-height);  /* 17em; */
    height:250px;
    margin-top: 3em;
}

.RTI-ImageSmall {
    width: 100%; /*100%;  /*javascript will change the width var(--single-item-width);   /* 12em; */
    /*height: 300px; /*var(--single-item-height);  /* 17em; */
    height: 150px;
    margin-top: 3em;
}

.RTI-StaticImage {
    display: flex;
    width: 100%;
    /*height: 250px;*/
    margin: 0;
}

.RTI-StaticImageBottom {
    display: block;
    /*width: 100%;*/
    width: 320px;
    height: 140px;
    margin: 0;
}


.RTI-StaticImageBottomFlex {
    display: flex;
    align-items:center;

    
    width: 250px; /*100%; */
    height: 200px;
    
    margin: 0;
    background-color: white;
    border: 2px solid lightgray;
}


.RTI-SamplePartsSection{
    display: flex;
    flex-flow: row wrap;
}

.RTI-SamplePartImageDiv {
    width: 25%;
    margin: 10px;
}








.RTI-MovePastMenuBar {
    /*display: block;*/
    width: 100%;
    height: 40px;
}






.RTI-ProjectContainerRow {
    display: flex;
    flex-flow: row nowrap;   
    width: 100%; 
}

.RTI-Nav {
  /*  display: flex;
    flex-flow: column nowrap;
    align-content: flex-start;
*/
    position: -webkit-sticky;
    position: sticky;
    position: absolute;
    top: 40px;
    z-index: 2;

}

.RTI-MainHeader {
    display: block;

    background-color: black;
    color: white;

    width: 100%; 
    margin:auto;

    height: 40px; /*2em;*/
    text-align: center;
    position: -webkit-sticky;
    position: sticky;
    position: fixed; /*absolute;*/
    top: 0;
    z-index: 2;


}


    
.RTI-FlexVerticalMenu {
    /*display: flex; 
    flex-flow: column nowrap;
    align-self: flex-start;
*/
    display: block;
    
    position: absolute; 
    position: -webkit-sticky;
    position: sticky;

    top: 40px; /*2em; /* same height as the top menu bar */
    left: 0;
    width: 0em; /*20%; /*20em;*/
    height: 0em;

    z-index : 2;
    
    font-size: 1.5em; 
    background-color: var(--drop-menu-background);
    color: var(--drop-menu-text-color);
    margin:0;
    padding-left: 0em;
    transition: 0.3s;
    overflow: hidden;
}

.RTI-FlexSideBar {
    display: flex; 
    flex-flow: column nowrap;
    align-self: flex-start;

    top: 2em; /* same height as the top menu bar */
    left: 0;
    width: 0em; /*20%; /*20em;*/
    position: absolute; 
    position: -webkit-sticky;
    position: sticky;

    z-index : 2;

    font-size: 1.5em; 
    background-color: var(--drop-menu-background);
    color: var(--drop-menu-text-color);
    margin:0;
    padding-left: 0em;
    transition: 0.3s;
    overflow: hidden;
}

.RTI-PTOSideMenuList {
    list-style: none;
    margin:0;
    padding:0;
}

.RTI-PTOSideMenuItem {
    background-color: var(--drop-menu-background);
    color: var(--drop-menu-text-color);
    border: solid 1px;
    opacity: 1.0;
    padding-left: 0.3em;
    text-align: left;
    
}

.RTI-PTOSideMenuItem:hover {
    opacity: 0.8;    
}

.RTI-PTOSideMenuItem:active {
    
    transform: scale(.95,.95);    
    border:none;
}



.RTI-FlexContainer {    
    display: flex;    
    flex-flow: column nowrap;
    justify-content: center;
    flex: 0 1 auto;

 /*   display: inline-block;
    align-items: center;*/


    position: absolute;
    left: 0;

    width: 100%; /* javascript will switch it to 80%; */
    margin-left: 0;
    background-color: var(--enter-event-background);
    font-weight: normal;
    font-size: 1.0em;
    line-height: 1.8em;
    transition: 0.3s;

    z-index : 1;
    overflow: hidden;

}




.RTI-MenuTitle {
    background-color: black;
    color: white;
    font-size: 1.0rem;

    text-transform: uppercase;
    display:inline-block; /*flex; /*inline-block;*/
    position: relative;
    text-align: center;

    width:60%;
    top: 9px;
    z-index: 3;
}

.RTI-MenuIcon {
    display: inline-block; /*inline-block;/*flex;*/
    left: 25px;
   
    position: absolute;
    z-index: 3;
    top: 5px;
    height: 30px;
    width: 30px;
    
    background-color: white;
    color: black;
}



.RTI-Logo {


}




.RTI-Main {
    display: flex;
    flex-direction: column;

}




.RTI-NameSection {
    display: flex;
    flex-flow: column;
    font-family: calibri;
    background-color: darkblue;
    color: white;
    width: 100%;
    height: 6.5em;
    margin: 0;
    padding: 0;
    font-size: 1.0em;
    line-height: 1.0em;
    /*position: absolute;  */
    position: sticky;
    top: 0;
    z-index: 2;
}

/* rajason tools inc.*/
.RTI-Name {
    display: flex;
    align-self: center;
    padding-top: 25px;
    font-size: 4em;
    height: 65%;
    
}

/*  Supplying machined products since 1979*/
.RTI-Description {
    display: flex;
    align-self:center;
    height: 30%;
    padding-top:5px;
    font-size: 1.5em;
    margin: 0;
  
} 


/******************************************************************************* SLIDER */
.RTI-ImageSlider {
    width: 350px;
    height: 225px;
    overflow: hidden;
    /*align-self:center;*/
}

.RTI-Slides {
    display: block;

    /* 
        14 slides times the width of one slide (14*350 = 4900)  
        (13 different images but slide one is duplicated ) 
        see rti-mobile.html
    */
    width: 4900px;

    height: 250px;
    margin: 0;
    padding: 0;
    margin-left: 0;
}

    .RTI-Slide {
        float: left;
        list-style-type: none;
        width: 350px;
        height: 250px;
    }

    .RTI-SlideImage {
        width:350px;
        height:250px;
    }


/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/




/*large screen*/
@media screen and (min-width: 801px) {

    h1 {
        font-size: 2.5rem;
        line-height: 3rem;
    }
   

    .RTI-ProjectSlideContainerColumn {
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-items: center;
        /*  position: fixed; 
    top: 40px; /* position below menu bar */
        background-color: var(--enter-event-background);
        background-color: var(--main-background-color);
        width: 80%; /* 100% on small screens 80% on large screens */
        margin: auto;
    }

    .RTI-InformationContainer {
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        margin: 1em;
    }

    .RTI-RightBox {
        flex: 50%;
        background-color: dodgerblue;
        height: 100px;
        margin: 20px;
    }

    .RTI-LeftBox {
        flex: 50%;
        background-color: navajowhite;
        height: 100px;
        margin: 20px;
    }
    .RTI-Box {
       /* flex: 100%;*/
        display: flex;
        align-self: center;
        flex-flow: column;
        width: 70%;
        text-align: center;
        
        font-size: 1.2rem;
        line-height: 1.5rem;
        /*height: 10em;*/
        margin: 40px;
        padding: 1em;
        background-color: var(--RTI-Box-background-color);
    }

    .RTI-StaticImage {
        display: flex;
        align-self: center;
        width: 600px;
        height: 450px;
        margin: 0;
    }


    .RTI-StaticImageBottomFlex_test{
        display: block;
        align-self: center;
        width: 400px;
        height: 300px;
        margin: 0;
        border: 2px solid black;
    }


    .RTI-TitleImage {
        display: flex;
        align-self: center;
        width: 900px;
        height: 150px;
        margin: 0;
    }

    .RTI-BoxContainer {
        display: flex;
        flex-flow: row nowrap;
    }

    .RTI-ContactFooter {
        
        display: flex;
        flex-flow: row wrap;
        justify-content: center;

        height: 12em;
        width: 100%;
        margin: 1em;

        /*background-image: url("..//images//BlackCarbon.jpg"); /* The image used */
        background-color: darkblue; /* Used if the image is unavailable */
        background-position: center; /* Center the image */
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover; /* Resize the background image to cover the entire container */
    }

    .RTI-ContactText {
        /* justify-items: center;*/
        color: white;
        width: 25em;
        padding-top: 2em;
        padding-bottom: 2em;
    }


    /******************************************************************************* SLIDER */
    .RTI-ImageSlider {
        width: 800px;
        height: 300px;
        overflow: hidden;
        /*align-self:center;*/
    }

    .RTI-Slides {
        display: block;
        /* 
        14 slides times the width of one slide (14*350 = 4900)  
        (13 different images but slide one is duplicated ) 
        see rti-mobile.html
    */
        width: 11200%;
        height: 300px;
        margin: 0;
        padding: 0;
        margin-left: 0;
    }

    .RTI-Slide {
        float: left;
        list-style-type: none;
        width: 800px;
        height: 300px;
    }

    .RTI-SlideImage {
        width: 800px;
        height: 300px;
    }




}
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/

/* medium screen */
@media (min-width: 501px) and (max-width: 800px) {

    h1 {
        font-size: 2rem;
        line-height: 2.5rem;
    }


    .RTI-ProjectSlideContainerColumn {
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-items: center;
        background-color: var(--enter-event-background);
        background-color: var(--main-background-color);
        width: 80%; /* 100% on small screens 80% on large screens */
        margin: auto;
    }

    .RTI-InformationContainer {
        display: flex;
        flex-flow: column wrap;
        justify-content: center;
        margin: 1em;
    }

    .RTI-RightBox {
        flex: 50%;
        background-color: dodgerblue;
        height: 100px;
        margin: 5px;
    }

    .RTI-LeftBox {
        flex: 50%;
        background-color: navajowhite;
        height: 100px;
        margin: 5px;
    }
    .RTI-Box {
        flex: 100%;
        padding: 1em;
        height: 6em;
        margin: 5px;
        font-size: 1.2rem;
        line-height: 1.5rem;
        background-color: dodgerblue;
        background-color: var(--RTI-Box-background-color);
    }

    .RTI-BoxContainer {
        display: flex;
        flex-flow: row nowrap;
    }


    .RTI-TitleImage {
        display: flex;
        align-self: center;
        width: 100%;
        height: 250px;
        margin: 0;
    }

    .RTI-StaticImageBottomFlex_Test {
        display: block;
        align-self: center;
        width: 300px;
        height: 200px;
        margin: 0;
        border: 2px solid black;
    }


    .RTI-ContactFooter {
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        height: 12em;
        width: 100%;
        margin: 20px;
        /*background-image: url("..//images//BlackCarbon.jpg"); /* The image used */
        background-color: darkblue; /* Used if the image is unavailable */
        background-position: center; /* Center the image */
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover; /* Resize the background image to cover the entire container */
    }

    .RTI-ContactText {
        
        color: white;
        width: 20em;
        padding-top: 2em;
        padding-bottom: 2em;
    }





}


/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/
/**********************************************************************************************/


/* Small screen */
@media screen and (max-width:500px) {

    h1 {
        font-size: 1.5rem;
        line-height: 1.7rem;
    }


    .RTI-ProjectSlideContainerColumn {
        display: flex;
        flex-flow: column nowrap;
        justify-content: flex-start;
        /*  position: fixed; 
    top: 40px; /* position below menu bar */
        background-color: var(--enter-event-background);
        background-color: var(--main-background-color);
        width: 100%; /* 100% on small screens 80% on large screens */
        margin: auto;
    }

    .RTI-InformationContainer {
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        margin: 0.5em;
    }

    .RTI-RightBox {
        flex: 100%;
        background-color: dodgerblue;
        height: 100px;
    }

    .RTI-LeftBox {
        flex: 100%;
        background-color: navajowhite;
        height: 100px;
    }

    .RTI-Box {
        flex: 100%;
        background-color: navajowhite;
        background-color: var(--RTI-Box-background-color);
        height: 6em;
        padding: 1em;
        margin: 0em;
        font-size: 1.2rem;
        line-height: 1.5rem;
    }

    .RTI-BoxContainer {
        display: flex;
        flex-flow: column nowrap;
    }

    .RTI-TitleImage {
        display: flex;
        align-self: center;
        width: 100%;
        height: 120px;
        margin: 0;
    }


    .RTI-NameSection {
        display: flex;
        flex-flow: column;
        font-family: calibri;
        background-color: darkblue;
        color: white;
        width: 100%;
        height: 4.5em;
        margin: 0;
        padding: 0;
        font-size: 1.0em;
        line-height: 1.0em;
        /*position: absolute;  */
        position: sticky;
        top: 0;
        z-index: 2;
    }

    /* rajason tools inc.*/
    .RTI-Name {
        display: flex;
        align-self: center;
        padding-top: 15px;
        font-size: 2em;
        height: 65%;
    }

    /*  Supplying machined products since 1979*/
    .RTI-Description {
        display: flex;
        align-self: center;
        height: 30%;
        padding-top: 5px;
        font-size: 1.0em;
        margin: 0;
    }



    .RTI-SamplePartsSection {
        display: flex;
        flex-flow: column nowrap;
    }

    .RTI-SamplePartImageDiv {
        width: 95%;
        margin: 10px;
    }


    .RTI-StaticImageBottomFlex {
        display: flex;
        align-self: center;
        width: 250px;
        height: 200px;
        margin: 0;
        border: 2px solid lightgray;
        background-color: white;
        align-items: center;
    }





    .RTI-ContactFooter {
        display: flex;
        flex-flow: column nowrap;
        
        justify-content:center;
        align-items:center;

        padding-top:2em;
        height: 20em;
        width: 100%;
        /*margin: 20px;*/
        /*background-image: url("..//images//BlackCarbon.jpg"); /* The image used */
        background-color: darkblue; /* Used if the image is unavailable */
        background-position: center; /* Center the image */
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover; /* Resize the background image to cover the entire container */
    }

    .RTI-ContactText {
        color: white;
        width: 25em;
        padding-top: 0em;
        padding-bottom: 2em;
    }


}





